package com.zanxiang.game.data.serve.controller;

import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.game.data.serve.pojo.dto.GamePromoteDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.GamePromoteDayTotalDTO;
import com.zanxiang.game.data.serve.pojo.dto.GamePromoteTotalDTO;
import com.zanxiang.game.data.serve.pojo.vo.GamePromoteDayTotalVO;
import com.zanxiang.game.data.serve.pojo.vo.GamePromoteDayVO;
import com.zanxiang.game.data.serve.pojo.vo.GamePromoteTotalVO;
import com.zanxiang.game.data.serve.service.IAccountAgentDayService;
import com.zanxiang.game.data.serve.utils.Page;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "推广数据")
@RestController
@RequestMapping("/promote")
public class AccountAgentDayController {
    @Autowired
    private IAccountAgentDayService accountAgentDayService;

    @ApiOperation(value = "推广每日数据")
    @PreAuthorize(permissionKey = "gameData:accountAgent:day")
    @PostMapping("/day")
    public ResultVO<Page<GamePromoteDayVO>> accountAgentDay(@RequestBody GamePromoteDayDTO dto) {
        return ResultVO.ok(accountAgentDayService.accountAgentDay(dto));
    }

    @ApiOperation(value = "推广每日数据总计")
    @PreAuthorize(permissionKey = "gameData:accountAgent:dayTotal")
    @PostMapping("/day/total")
    public ResultVO<GamePromoteDayTotalVO> accountAgentDayTotal(@RequestBody GamePromoteDayTotalDTO dto) {
        return ResultVO.ok(accountAgentDayService.accountAgentDayTotal(dto));
    }

    @ApiOperation(value = "推广总数据")
    @PreAuthorize(permissionKey = "gameData:accountAgent:total")
    @PostMapping("/total")
    public ResultVO<Page<GamePromoteTotalVO>> accountAgentTotal(@RequestBody GamePromoteTotalDTO dto) {
        return ResultVO.ok(accountAgentDayService.accountAgentTotal(dto));
    }
}
